Data Infrastructure Management Software Discussions

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

@bkamil 

 

It took me a bit more than 2 lines I blame Python for all my bugs ...but here it is. Here's how to update your extension:

 

  • Download package
  • Check integrity:

 

$ md5sum snapmirror_svm_extended.tar.gz 
> c30592a26ee4b9093b29ee257729c54d  snapmirror_svm_extended.tar.gz

 

  • Extract with tar:

 

$ tar -xzvf snapmirror_svm_extended.tar.gz

 

  • Stop Harvest and copy the 2 python files to Harvest's extension directory:

 

cp python_extension_methods_v12.py snapmirror_replications.py /opt/netapp-harvest/extension/

 

  • Finally, start Harvest and manually import db_netapp-extension-snapmirror.json to your Grafana.

 

You should see new dashboards displaying SVM breakdown:

 

Screenshot from 2020-03-18 16-59-22.png

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

Thanks @vachagan_gratian !

I'm getting these in _snapmirror_replicatons.log log:

[2020-03-20 12:42:13,859] [ERROR] [find_missing_nodes] ZAPI request failed: either instances or instance-uuids must be given
[2020-03-20 12:45:56,091] [WARNING] [timeout_handler] Extension timeout exceeded. Terminating process
[2020-03-20 12:46:27,599] [ERROR] [find_missing_nodes] ZAPI request failed: either instances or instance-uuids must be given
[2020-03-20 12:47:26,989] [ERROR] [find_missing_nodes] ZAPI request failed: either instances or instance-uuids must be given

 

Regarding the "python_extension_methods_v12.py" file:

If I do the copy like you suggested the existing file "python_extension_methods.py" won't get overwritten - not sure if that desired. I tried both ways, overwritting an existing file and copying as a new one, same result.

 

 

 

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

@bkamil , hmm, this is strange.. Which Ontap release do you use? Also, could you run the extension in verbose and share the full logs with me?

 

No need to overwrite the extension methods files. The old file will be still required by the other extensions (so you should have both, python_extension_methods.py and python_extension_methods_v12.py in /opt/netapp-harvest/extension/).

 
Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

I'm getting:

[ERROR] [get_snapmirrors] ZAPI request failed: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:618)

 

With Ontap 9.5P10, everything else works with harvest.

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

@vachagan_gratian  The download link for 1.6.1 has expired again. You may want to make a full release or host the file elsewhere as this isn't working well...But regardless, can you post an updated link? Maybe also update the link in the first post so users who find the thread get a working link to start with without having to spelunk through the replies?

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

@cprivitere Thanks for alerting and sorry for the inconvenience. I updated the link and it should work now again.

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

Hey - unfortunately the link for the sm extension is expired again.

Cheers

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

Hi there,

 

Any chance the download link could be renewed please?

 

Thanks

Dan

Highlighted

Re: NetApp-Harvest 1.6.1 updater + some news about Harvest 2.0

Sorry, updated again. Will set a reminder for myself not to forget next time!

Try the NEW Knowledgebase!
NetApp KB Site
Forums